Bug 387380 - Invoke wrap with arrow keys as well
Summary: Invoke wrap with arrow keys as well
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Applications
Component: general (show other bugs)
Version: 17.08.2
Platform: Neon Linux
: HI wishlist with 35 votes (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2017-11-28 05:07 UTC by Nate Graham
Modified: 2021-06-03 14:16 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 21.08


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2017-11-28 05:07:25 UTC
If you have a sequence of images and you get to the last one, you can invoke the wrapping behavior by triggering the Next action--by clicking on the toolbar button or its default keyboard shortcut, the space bar. But you can't invoke it using the right arrow key. That should work, too.
Comment 1 Nate Graham 2017-11-30 03:17:59 UTC
I've submitted a patch that fixes this: https://phabricator.kde.org/D9039
Comment 2 Nate Graham 2021-06-03 14:16:43 UTC
Fixed by Marco Martin with https://invent.kde.org/graphics/gwenview/-/commit/736ef0445944ab87c22958f1fdfbfd70f5268884. You can now always press the arrow keys to wrap when reaching the beginning or end.